APIs / Idealista / Map Georeach
Idealista: Map Georeach
Map Georeach from Idealista as JSON. 1 credit per successful call.
GET /v1/idealista/map-georeach
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
country | string | Required | es, it, pt, fr |
operation | string | Required | sale, rent |
property_type | string | Required | homes, newDevelopments, bedrooms, offices, premises, transfers, buildings, storageRooms, garages, vacationRentals, luxury, lands |
location_id | string | Optional | Up to 80 characters |
center | string | Optional | Up to 40 characters |
distance | integer | Optional | Any |
max_items | integer | Optional | Any |
num_page | integer | Optional | Any |
order | string | Optional | Up to 40 characters |
sort | string | Optional | asc, desc |
quality | string | Optional | high, low |
gallery | boolean | Optional | Any |
locale | string | Optional | Up to 8 characters |
microsite_short_name | string | Optional | Up to 80 characters |
chalet | boolean | Optional | Any |
current_occupation_type | string | Optional | free, bareOwnership, tenanted, illegallyOccupied, viager |
auction | string | Optional | onlyAuctions, excludeAuctions |
home_type | string | Optional | Up to 40 characters |
bank_offer | string | Optional | Up to 40 characters |
advertiser_type | string | Optional | Up to 40 characters |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
min_size | integer | Optional | Any |
max_size | integer | Optional | Any |
min_rooms | integer | Optional | Any |
max_rooms | integer | Optional | Any |
shape | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/idealista/map-georeach?country=es&operation=sale&property_type=newDevelopments&location_id=0-EU-ES-28" \
-H "X-API-Key: $API_KEY"